> ## Documentation Index
> Fetch the complete documentation index at: https://docs.twitterapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Log in v3

> V3 Login API - Log in using your email, username, password, and 2FA code. This is an asynchronous login method. After calling this API, the system will process your login request in the background. You can call get_my_x_account_detail_v3 to check the login status. Trial operation price: $0.003 per call.



## OpenAPI

````yaml POST /twitter/user_login_v3
openapi: 3.0.1
info:
  title: TwitterAPI.io the most stable/fastest/cheapest twitter api.
  description: Provide the most stable/fastest/cheapest twitter api.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.twitterapi.io
security:
  - ApiKeyAuth: []
paths:
  /twitter/user_login_v3:
    post:
      description: >-
        V3 Login API - Log in using your email, username, password, and 2FA
        code. This is an asynchronous login method. After calling this API, the
        system will process your login request in the background. You can call
        get_my_x_account_detail_v3 to check the login status. Trial operation
        price: $0.003 per call.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - user_name
                - proxy
              properties:
                user_name:
                  type: string
                  description: Twitter username. Must be set.
                email:
                  type: string
                  description: >-
                    Email address associated with the account. Must be set if
                    cookie is empty..
                password:
                  type: string
                  description: The password of the user. Must be set if cookie is empty.
                totp_code:
                  type: string
                  description: >-
                    The TOTP secret key for 2FA authentication. It is a
                    10-character string, not a number! If your account has 2FA
                    enabled, this field is required for successful login.
                cookie:
                  type: string
                  description: >-
                    Optional. Pre-existing cookie string in format
                    'cto=xx&auth_token='. Can be used to resume a previous
                    session.
                proxy:
                  type: string
                  description: >-
                    The proxy to use. **Must** use high-quality residential
                    proxies and avoid free proxies.Otherwise, you will fail
                    100%. Required. Example: http://username:password@ip:port .
                    You can get proxy from:
                    https://www.webshare.io/?referral_code=4e0q1n00a504
      responses:
        '200':
          description: Login response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: >-
                      Status of the request. 'success' means the login request
                      has been accepted and is being processed.
                  msg:
                    type: string
                    description: >-
                      Message describing the current state. For example: 'Add
                      done.configing.' means the login is being configured.
                  login_cookie:
                    type: string
                    description: >-
                      The login cookie of the user. This will be returned once
                      the login is complete. Use this cookie to post tweets,
                      etc.
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````